当前位置: 首页 > PHP, 工作 > 正文

php file_get_contents 出现HTTP request failed! HTTP/1.1 505 HTTP Version Not Supported error

在做一个接口的时候,使用file_get_contents出现 HTTP request failed! HTTP/1.1 505 HTTP Version Not Supported error。查了一下手册,

Note: 如果要打开有特殊字符的 URL (比如说有空格),就需要使用 urlencode() 进行 URL 编码。

切记,对中文一定要进行先编码后使用

本文固定链接: http://www.chenruixuan.com/archives/404.html | 天宝寺||陈瑞轩

该日志由 陈瑞轩 于2014年07月10日发表在 PHP, 工作 分类下, 你可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
原创文章转载请注明: php file_get_contents 出现HTTP request failed! HTTP/1.1 505 HTTP Version Not Supported error | 天宝寺||陈瑞轩

php file_get_contents 出现HTTP request failed! HTTP/1.1 505 HTTP Version Not Supported error:等您坐沙发呢!

发表评论

快捷键:Ctrl+Enter